Skip to main content
GET
/
crm
/
v3
/
imports
/
{importId}
Get the information on any import
curl --request GET \
  --url https://api.hubapi.com/crm/v3/imports/{importId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/crm/v3/imports/{importId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/crm/v3/imports/{importId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "2023-11-07T05:31:56Z",
  "id": "<string>",
  "mappedObjectTypeIds": [
    "<string>"
  ],
  "metadata": {
    "counters": {},
    "fileIds": [
      "<string>"
    ],
    "objectLists": [
      {
        "listId": "<string>",
        "objectType": "<string>"
      }
    ]
  },
  "optOutImport": true,
  "updatedAt": "2023-11-07T05:31:56Z",
  "importName": "<string>",
  "importRequestJson": {},
  "importTemplate": {
    "templateId": 123
  }
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

importId
integer<int64>
required

Response

successful operation

createdAt
string<date-time>
required

The timestamp when the object was created, in ISO 8601 format.

id
string
required

The unique identifier for this import.

mappedObjectTypeIds
string[]
required
metadata
object
required
optOutImport
boolean
required

Whether or not the import is a list of people disqualified from receiving emails.

state
enum<string>
required

The status of the import.

Available options:
CANCELED,
DEFERRED,
DONE,
FAILED,
PROCESSING,
REVERTED,
STARTED
updatedAt
string<date-time>
required

The timestamp when the import record was last updated, formatted as an ISO 8601 instant.

importName
string

The user-provided name for this import.

importRequestJson
object

The complete import request configuration as a JSON object.

importSource
enum<string>

Indicates where/how the import was initiated.

Available options:
API,
CRM_UI,
IMPORT,
MOBILE_ANDROID,
MOBILE_IOS,
SALESFORCE
importTemplate
object
Last modified on March 30, 2026